function ent = compute_entropy(dist,win_len)

%this module computes the shannon entropy value over the inout given
%distribution of values input - dist using the length of analysis window
%input - win_len and generating the output - ent

%obtain probability distribution
prob = dist/win_len;

%obtain log of probability
log_p = log(prob);
%apply correction
log_p(log_p==-inf) = 0;

%obtain entropy
val = prob .* log_p;

%return entropy
ent = -sum(val);

end