function H_coeff = lower_gamma_band_bandpass_filter(sampf)
% Returns a discrete-time filter coefficients designed using a
% Equiripple Bandpass FIR filter

% Sampling Frequency in Hz.
% sampf = 256;  

% First Passband Frequency in Hz.
passf1 = 30;              
% Second Passband Frequency in Hz.
passf2 = 40;              
% transition band Frequency in Hz.
transf = 2;             

% First Stopband Attenuation
stopd = 0.01;            
% Passband Ripple
passr  = 0.028774368332;  

% First Stopband Frequency
stopf1 = passf1 - transf ;              
% Second Stopband Frequency
stopf2 = passf2 + transf ;              

% Calculate the order from the parameters using FIRPMORD.
[N, Fo, Ao, W] = firpmord([stopf1 passf1 passf2 stopf2]/(sampf/2), ... 
    [0 1 0],[stopd passr stopd]);

% Calculate the coefficients using the FIRPM function.
b  = firpm(N, Fo, Ao, W, {16});
Hd = dfilt.dffir(b);

% return the coefficients
H_coeff = Hd.Numerator;

end